import { Transaction } from './Transaction';
export declare type Migration = (tx: Transaction) => Promise<void>;
export declare type Newable<T> = new (...args: any[]) => T;
export declare class Db {
    private db;
    private dbName;
    private version;
    private entities;
    private migrations;
    constructor(dbName: string, version: number);
    use(entity: Newable<any>, migration?: Migration): this;
    transaction<T>(entities: Array<Newable<any>>, cb: (tx: Transaction) => Promise<T> | void): Promise<T>;
    transaction<T>(entities: Array<Newable<any>>, mode: 'readonly' | 'readwrite', cb: (tx: Transaction) => Promise<T> | void): Promise<T>;
    close(): void;
    static deleteDatabase(dbName: string): Promise<{}>;
}
