import { Index } from './Index';
import { Cursor } from './Cursor';
import { Observable } from '../utils/Observable';
import { EntityMetadata } from '../decorators/EntityMetadata';
export declare const DIRECTION: {
    ASC: string;
    DESC: string;
    ASC_UNIQUE: string;
    DESC_UNIQUE: string;
};
export declare class Store<T> {
    private meta;
    private store;
    constructor(metadata: EntityMetadata, store: IDBObjectStore);
    get(key: IDBValidKey | IDBKeyRange): Promise<T>;
    openCursor(range?: IDBKeyRange | IDBValidKey, direction?: string): {
        asCursor: () => Observable<Cursor<T>>;
        asList: () => Promise<T[]>;
    };
    add(value: T, key?: IDBKeyRange | IDBValidKey): Promise<IDBValidKey>;
    put(value: T, key?: IDBValidKey): Promise<IDBValidKey>;
    index(name: keyof T | string): Index<T>;
    delete(key: IDBKeyRange | IDBValidKey): Promise<{}>;
    clear(): Promise<{}>;
    count(key?: IDBKeyRange | IDBValidKey): Promise<number>;
}
